Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  abstract class BoxUnbox extends AnyRef
  Definition Classes
    opt
- BoxConsumer
- BoxCreation
- BoxKind
- BoxedPrimitiveTypeCheck
- CopyOpsIterator
- EscapingConsumer
- InstanceCreation
- ModuleFactory
- ModuleGetter
- PrimitiveBox
- PrimitiveBoxingGetter
- PrimitiveUnboxingGetter
- Ref
- StaticFactory
- StaticGetterOrInstanceRead
- StaticSetterOrInstanceWrite
- Tuple

c

scala.tools.nsc.backend.jvm.opt.BoxUnbox

# Ref

###
Companion object Ref

#### case class Ref(boxedType: Type, refClass: InternalName) extends BoxKind with Product with Serializable

Source
  BoxUnbox.scala

Linear Supertypes
java.io.Serializable, Product, Equals, BoxKind, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Ref
2. Serializable
3. Product
4. Equals
5. BoxKind
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Ref(boxedType: Type, refClass: InternalName)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Ref toany2stringadd[Ref] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Ref, B)
   Implicit
     This member is added by an implicit conversion from Ref toArrowAssoc[Ref] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val boxedType: Type
8.  def boxedTypes: List[Type]
   Definition Classes
     Ref → BoxKind
9.  def checkBoxConsumer(insn: AbstractInsnNode, prodCons: ProdConsAnalyzer): Option[BoxConsumer]
   Definition Classes
     Ref → BoxKind
10.  def checkBoxCreation(insn: AbstractInsnNode, prodCons: ProdConsAnalyzer): Option[BoxCreation]
    Definition Classes
      Ref → BoxKind
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def ensuring(cond: (Ref) => Boolean, msg: => Any): Ref
    Implicit
      This member is added by an implicit conversion from Ref toEnsuring[Ref] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (Ref) => Boolean): Ref
    Implicit
      This member is added by an implicit conversion from Ref toEnsuring[Ref] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): Ref
    Implicit
      This member is added by an implicit conversion from Ref toEnsuring[Ref] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): Ref
    Implicit
      This member is added by an implicit conversion from Ref toEnsuring[Ref] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def extractedValueIndex(extraction: BoxConsumer): Int
    Definition Classes
      Ref → BoxKind
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Ref toStringFormat[Ref] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def isMutable: Boolean
    Definition Classes
      Ref → BoxKind
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def productElementNames: Iterator[String]
    Definition Classes
      Product
27.  val refClass: InternalName
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Ref, B)
   Implicit
     This member is added by an implicit conversion from Ref toArrowAssoc[Ref] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from BoxKind

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromRef to any2stringadd[Ref]

### Inherited by implicit conversion StringFormat fromRef to StringFormat[Ref]

### Inherited by implicit conversion Ensuring fromRef to Ensuring[Ref]

### Inherited by implicit conversion ArrowAssoc fromRef to ArrowAssoc[Ref]

### Ungrouped